# Uses of Class
javax.crac.CheckpointException

Packages that use CheckpointException
Package
Description
javax.crac
Provides explicit coordination with a checkpoint/restore mechanism.

## Uses of CheckpointException in javax.crac

Methods in javax.crac that throw CheckpointException
Modifier and Type
Method
Description
`abstract void`
Context.`beforeCheckpoint(Context<? extends Resource> context)`
`static void`
Core.`checkpointRestore()`
Requests checkpoint and returns upon a successful restore.